# AWS Elastic Beanstalk Django Deployment Notes


## [AWS Elastic Beanstalk Developer Guide](https://docs.aws.amazon.com/elasticbeanstalk/latest/dg)


### [Elastic Beanstalk platforms](https://docs.aws.amazon.com/elasticbeanstalk/latest/dg/concepts-all-platforms.html)

- [Elastic Beanstalk platforms glossary](https://docs.aws.amazon.com/elasticbeanstalk/latest/dg/platforms-glossary.html)

- [Shared responsibility model for Elastic Beanstalk platform maintenance](https://docs.aws.amazon.com/elasticbeanstalk/latest/dg/platforms-shared-responsibility.html)

- [Elastic Beanstalk platform support policy](https://docs.aws.amazon.com/elasticbeanstalk/latest/dg/platforms-support-policy.html)

- [__Elastic Beanstalk supported platforms__](https://docs.aws.amazon.com/elasticbeanstalk/latest/dg/concepts.platforms.html)

- [__Elastic Beanstalk Linux platforms__](https://docs.aws.amazon.com/elasticbeanstalk/latest/dg/platforms-linux.html)

- [Deploying Elastic Beanstalk applications from Docker containers](https://docs.aws.amazon.com/elasticbeanstalk/latest/dg/create_deploy_docker.html)

- Creating and deploying Go applications on Elastic Beanstalk

- Creating and deploying Java applications on Elastic Beanstalk

- Working with .NET Core on Linux

- Creating and deploying .NET applications on Elastic Beanstalk

- Deploying Node.js applications to Elastic Beanstalk

- Creating and deploying PHP applications on Elastic Beanstalk

- [__Working with Python__](https://docs.aws.amazon.com/elasticbeanstalk/latest/dg/create-deploy-python-apps.html)

- Creating and deploying Ruby applications on Elastic Beanstalk


## [GitHub: AWS Elastic Beanstalk Roadmap](https://github.com/aws/elastic-beanstalk-roadmap)

### [Issues](https://github.com/aws/elastic-beanstalk-roadmap/issues)

- [Python on Amazon Linux 2 platform](https://github.com/aws/elastic-beanstalk-roadmap/issues/15)

- [Full Django framework support (GIS libraries on Python platform)](https://github.com/aws/elastic-beanstalk-roadmap/issues/28)
  - [Python platform does not support all django framework features](https://forums.aws.amazon.com/thread.jspa?messageID=677038)

- [does elastic bean stalk work with Django==3.0.5](https://github.com/aws/aws-elastic-beanstalk-cli-setup/issues/77)

- [Attach Amazon Elastic Inference to environment configuration](https://github.com/aws/elastic-beanstalk-roadmap/issues/81)

- [Python 3.8 on Amazon Linux 2 platform](https://github.com/aws/elastic-beanstalk-roadmap/issues/100)

- [Feature Request: python virtualenv naming Set via Python Platform Option or Document](https://github.com/aws/elastic-beanstalk-roadmap/issues/151)

- [Keep Python up-to-date](https://github.com/aws/elastic-beanstalk-roadmap/issues/174)

- [Graceful shutdown of Procfile processes](https://github.com/aws/elastic-beanstalk-roadmap/issues/196)

- [GEOS, PROJ, Libspatialite Packages Not Available on Amazon Linux 2](https://github.com/aws/elastic-beanstalk-roadmap/issues/199)
